DOVEADM-FTS(1)

NAME
doveadm-fts - Manipulate the Full Text Search (FTS) index

SYNOPSIS
doveadm [-Dv] fts command [OPTIONS] [ARGUMENTS]

DESCRIPTION
The doveadm fts COMMANDS can be used to manipulate the Full Text Search (FTS) index. @INCLUDE:global-options@

This command uses by default the output formatter flow (without the key= prefix).

Command specific options: @INCLUDE:option-A@ @INCLUDE:option-F-file@ @INCLUDE:option-S-socket@ @INCLUDE:option-u-user@

ARGUMENTS

namespace
    The name of a namespace, e.g. the name of the shared namespace. When no namespace was given, the user's private namespace will be used.

COMMANDS

  fts optimize
doveadm fts optimize [-u user|-A|-F file] [-S socket_path] [namespace]

Optimize the full text search index. This is also done automatically by the full text search engines, but this enforces it to happen.

  fts rescan
doveadm fts rescan [-u user|-A|-F file] [-S socket_path] [namespace]

Scan what mails exist in the full text search index and compare those to what actually exist in mailboxes. This removes mails from the index that have already been expunged and makes sure that the next doveadm index will index all the missing mails (if any). @INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1), doveadm-index(1)

Additional resources:

Full text search indexing
    http://wiki2.dovecot.org/Plugins/FTS